Monitoring (uptime)
Typed uptime-monitor shortcuts: monitors, channels, heartbeats, status pages.
#GET/cloud/monitors/{id}/monitors
GET monitors (GyroMonitor)Scope: services_readtyped_get_monitors__id__monitorsOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro monitor monitor list 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/monitors/{id}/monitors
POST monitors:create (GyroMonitor)Scope: services_writetyped_post_monitors__id__monitorsOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor monitor create 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#PATCH/cloud/monitors/{id}/monitors/{mid}
PATCH monitors:edit (GyroMonitor)Scope: services_writetyped_patch_monitors__id__monitors__midOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors, action edit. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
mid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X PATCH 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor monitor update 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.patch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1", {
method: "PATCH",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/monitors/{id}/monitors/{mid}
DELETE monitors:delete (GyroMonitor)Scope: services_writetyped_delete_monitors__id__monitors__midOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
mid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor monitor delete 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/monitors/{id}/monitors/{mid}/pause
POST monitors:pause (GyroMonitor)Scope: services_writetyped_post_monitors__id__monitors__mid__pauseOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors, action pause. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
mid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/pause' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor monitor pause 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/pause", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/pause", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/monitors/{id}/monitors/{mid}/resume
POST monitors:resume (GyroMonitor)Scope: services_writetyped_post_monitors__id__monitors__mid__resumeOpenAPI for this operation
Typed shortcut of the generic bridge: tool monitors, action resume. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
mid required | path | string | |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/resume' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor monitor resume 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/resume", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/monitors/1/resume", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/monitors/{id}/channels
GET channels (GyroMonitor)Scope: services_readtyped_get_monitors__id__channelsOpenAPI for this operation
Typed shortcut of the generic bridge: tool channels. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro monitor channel list 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/monitors/{id}/channels
POST channels:create (GyroMonitor)Scope: services_writetyped_post_monitors__id__channelsOpenAPI for this operation
Typed shortcut of the generic bridge: tool channels, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor channel create 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#DELETE/cloud/monitors/{id}/channels/{cid}
DELETE channels:delete (GyroMonitor)Scope: services_writetyped_delete_monitors__id__channels__cidOpenAPI for this operation
Typed shortcut of the generic bridge: tool channels, action delete. Body fields are the tool's own fields. Needs "confirm": true.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
cid required | path | string | Certificate id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X DELETE 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels/1' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor channel delete 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.delete("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels/1", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/channels/1", {
method: "DELETE",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/monitors/{id}/heartbeats
GET heartbeats (GyroMonitor)Scope: services_readtyped_get_monitors__id__heartbeatsOpenAPI for this operation
Typed shortcut of the generic bridge: tool heartbeats. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro monitor heartbeat get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#POST/cloud/monitors/{id}/heartbeats
POST heartbeats:create (GyroMonitor)Scope: services_writetyped_post_monitors__id__heartbeatsOpenAPI for this operation
Typed shortcut of the generic bridge: tool heartbeats, action create. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Request body
| Field | Type | Description |
|---|
confirm | boolean | |
Responses
| 202 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s -X POST 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats' \
-H "Authorization: Bearer $GYRO_TOKEN" \
-H "Content-Type: application/json" \
-d '{"confirm": true}'
gyro monitor heartbeat create 12345 --help # all flags
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.post("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats", headers=h, json={"confirm": True}, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/heartbeats", {
method: "POST",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
"Content-Type": "application/json",
},
body: JSON.stringify({"confirm": true}),
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);
#GET/cloud/monitors/{id}/status-pages
GET status-pages (GyroMonitor)Scope: services_readtyped_get_monitors__id__status_pagesOpenAPI for this operation
Typed shortcut of the generic bridge: tool status-pages. Body fields are the tool's own fields.
Parameters
| Field | in | Type | Description |
|---|
id required | path | integer | Service id |
Responses
| 200 | Tool data / result — data: object |
| 404 | Not found — also returned for objects owned by someone else |
| 409 | State conflict (server_locked, not_actionable, ssh_key_exists, server_limit, idempotency_in_flight) |
| 422 | Validation or business rule failure (confirm_required, invalid_image, tool_action_failed ...) |
Examples
curl -s 'https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/status-pages' \
-H "Authorization: Bearer $GYRO_TOKEN"
gyro monitor status-page get 12345
import os, uuid, requests
h = {"Authorization": "Bearer " + os.environ["GYRO_TOKEN"]}
r = requests.get("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/status-pages", headers=h, timeout=60)
r.raise_for_status()
print(r.json()["data"])
const res = await fetch("https://www.gyrohosting.com/api/v1/client/cloud/monitors/12345/status-pages", {
method: "GET",
headers: {
"Authorization": `Bearer ${process.env.GYRO_TOKEN}`,
},
});
const { data, error } = await res.json();
if (!res.ok) throw new Error(`${error.code}: ${error.message}`);